This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 245342 - (perl-Gnome2) Review Request: perl-Gnome2 - Perl interface to the 2.x series of the GNOME libraries
Review Request: perl-Gnome2 - Perl interface to the 2.x series of the GNOME l...
Status: CLOSED DUPLICATE of bug 486482
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2007-06-22 11:15 EDT by David Cantrell
Modified: 2009-02-19 19:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-27 11:38:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Cantrell 2007-06-22 11:15:54 EDT
Spec URL: http://people.redhat.com/dcantrel/RPMS/perl-Gnome2/perl-Gnome2.spec
SRPM URL: http://people.redhat.com/dcantrel/RPMS/perl-Gnome2/perl-Gnome2-1.041-1.fc8.src.rpm
Description: This module allows you to interface with the GNOME libraries.  It follows the C API closely, so the GNOME library documentation provides all of the
library details.

Fedora currently has a number of the other perl-Gnome2-* packages, but not the actual perl-Gnome2 package.  The reason I'd personally like this package added is so I can submit my GPRS Easy Connect package for inclusion review.
Comment 1 Nigel Jones 2007-07-01 21:23:53 EDT
I've removed the Fedora Contributors security group from the bug, looking at the
nature of the spec file, it doesn't seem private. (plus it gets defeated by the
f-p-r@rh.com CC)

Oh a side note, I'll look into doing this review.
Comment 2 Jason Tibbitts 2007-07-04 15:00:36 EDT
Not to step on Nigel's toes, but here are some comments:

W: perl-Gnome2 devel-file-in-non-devel-package
/usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/Gnome2/Install/gnome2perl-versions.h
W: perl-Gnome2 devel-file-in-non-devel-package
/usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/Gnome2/Install/gnome2perl.h
W: perl-Gnome2 devel-file-in-non-devel-package
/usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/Gnome2/Install/gnome2perl-autogen.h
These are expected rpmlint complaints for many arch-specific Perl modules.

Something is wrong with the debuginfo package; it misses most of the source.
There are many errors like:
  cpio: Gnome2-1.041/BonoboDock.c: No such file or directory
  cpio: Gnome2-1.041/BonoboDock.xs: No such file or directory
  cpio: Gnome2-1.041/BonoboDockItem.c: No such file or directory
in the build log.  This is more a bug in find-debuginfo.sh than it is in your
package, but generally we try to fix such things when we find them.  (This kind
of thing happens often with Java packages for some reason.)  The problem is that
it's not looking in the xs directory.

You can alleviate this by the incredibly nasty act of putting "cp xs/* ." at the
end of your %build section.

Otherwise, this package is clean and I would probably approve it.
Comment 3 Jason Tibbitts 2007-07-11 18:38:33 EDT
Any response to the comments on the debuginfo issue raised above?  If I know
someone's going to respond I'll go ahead and do a full review this.
Comment 4 David Cantrell 2007-07-13 17:49:27 EDT
(In reply to comment #3)
> Any response to the comments on the debuginfo issue raised above?  If I know
> someone's going to respond I'll go ahead and do a full review this.

I'll clean the issues noted in the comment above.  Currently out of town, but
will get to it next week.
Comment 5 David Cantrell 2007-07-19 11:10:57 EDT
OK, fixed up the problem with the debuginfo package generation.  New spec file
and SRPM are at the URL listed in the opening comment.  Let me know if it's
approved or not.

Thanks.
Comment 6 Jason Tibbitts 2007-07-25 14:25:13 EDT
I didn't assign this to myself and I'm out of time at the moment.  Maybe later,
but at this point anyone is free to review this ticket.
Comment 7 Nigel Jones 2007-07-25 16:10:55 EDT
You bumped the release number in the changelog, but not in the release field.

Not sure if I'll be able to review it, might see what my workload is like 
tonight.
Comment 8 David Cantrell 2007-08-10 10:49:57 EDT
(In reply to comment #7)
> You bumped the release number in the changelog, but not in the release field.

Fixed.  New files:

http://people.redhat.com/dcantrel/RPMS/perl-Gnome2/perl-Gnome2.spec
http://people.redhat.com/dcantrel/RPMS/perl-Gnome2/perl-Gnome2-1.041-2.fc8.src.rpm

Comment 9 Chris Weyl 2007-10-15 21:40:41 EDT
A couple comments, just from giving the spec a once over :)

Perl deps are specified by module, rather than by the name of the package that
provides the required module.  e.g., where your package buildrequires perl-Gtk2,
it should buildrequire perl(Gtk2) instead.  See
https://fedoraproject.org/wiki/PackagingDrafts/Perl#requiresandprovides

There will also be additional BR's you'll need as a result of the core perl
split.  (e.g. perl(ExtUtils::MakeMaker), perl(Test::More), etc, depending on the
package itself.)
Comment 10 Chris Weyl 2007-11-17 03:17:41 EST
Ping?  I'm also getting 404 errors on the above links :\
Comment 11 Mamoru TASAKA 2007-12-16 00:03:33 EST
I will close this bug if no response from the reporter is gained within
ONE WEEK
Comment 12 Mamoru TASAKA 2007-12-27 11:38:18 EST
CLOSING.

If someone wants to import this software into Fedora, please file
a new review request and mark this bug as a duplicate of the new
bug.

Thanks!
Comment 13 Jason Tibbitts 2009-02-19 19:19:35 EST

*** This bug has been marked as a duplicate of bug 486482 ***

Note You need to log in before you can comment on or make changes to this bug.